EnderUNIX Team.


EnderUNIX İpucu

Arkadaşıma gönder , Ana Sayfa

[ Postfix ]

"Postfix'de gelen giden maillere disclamer eklenmesi" - Gökhan ALKAN - (2007-05-09 16:58:48)   [3459]

Ozellikle gelen maillere degilde giden maillere disclamer eklemek daha cok tercih edilen bir yontemdir Bu islemi Postfixde uygulamak icin asagidaki adimlar takip edilebilir.

Oncelikle gerekli yazilimlar temin edilmelidir. Disclamer eklemek kullanilan yazilimlardan biri olan altermime kullanilacaktir.

altermime http://www.pldaniels.com/altermime/ adresinden temin edilebilir.

NOT: altermime 0.3.7. surumunde Segmantation Fault Hatasi alindigi icin bir onceki stable surum kullanildi.


Kurulum icin;

# tar -zxvf altermime-0.3.6.tar.gz
# cd altermime-0.3.6
# ./configure
# make
# cp altermime /usr/bin


Gerekli grup ve kullanicinin olusturulmasi icin;

# groupadd filter
# adduser -c "Filter User" -d /var/spool/filter -g filter filter


Gerekli izinler icin ;

# chown filter.filter /var/spool/filter
# chmod 750 /var/spool/filter


Altermime calistirilmasi icin gerekli betik "/etc/postfix/disclaimer.sh" yada istege gore baska bir dizinde olabilir;

BETIK BURDA BASLIYOR
--------------------------------------------------------------------------------
#!/bin/sh
# Localize these.
INSPECT_DIR= /var/spool/filter
SENDMAIL= /usr/sbin/sendmail

# Exit codes from
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

/usr/bin/altermime --input=in.$$
--disclaimer= /etc/postfix/disclaimer.txt
--verbose
--log-syslog
--xheader="X-Copyrighted-Material: Please visit http://www.enderunix.org" ||
{ echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL "$@"
exit $?
---------------------------------------------------------------------------------
BETIK BURDA BITIYOR



Daha sonra disclamer ile ilgili izinler icin

# chgrp filter /etc/postfix/disclaimer
# chmod 750 /etc/postfix/disclaimer



Daha sonra disclamer mesaj olusturulmalidir. Burada disclamer mesaj icin /etc/postfix/disclaimer.txt dosyasi kullanilmistir;

# cat /etc/postfix/disclaimer.txt
Disclamer mesaj
#


# chmod 750 /etc/postfix/disclaimer.txt


Postfixde yapilmasi gereken yapilandirmalar icin /etc/postfix/master.cf dosyasinda gerekli yapilandirmalar gerceklestirilmelidir;

# vi /etc/postfix/master.cf

smtp inet n - y - -
smtpd -o content_filter= dfilt:

dfilt unix - n n - - pipe
flags=Rq user=filter argv= /etc/postfix/disclaimer -f ${sender} --
${recipient}
#


Degisikliklerin etkin olabilmesi icin postfix yeniden baslatilmalidir.

Kaynak:
http://www.paw.za.org/docs/howtos/postfix-altermime/postfix-altermime-howto.html

Arkadaşıma gönder , Ana Sayfa